package com.cmvr.ti.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.ti.model.domain.TiVehicleUi;

import java.util.List;

/**
 * 车机界面Service接口
 */
public interface ITiVehicleUiService extends IService<TiVehicleUi> {
    /**
     * 查询车机界面
     *
     * @param id 车机界面主键
     * @return 车机界面
     */
    public TiVehicleUi selectTiVehicleUiById(Long id);

    /**
     * 查询车机界面列表
     *
     * @param TiVehicleUi 车机界面
     * @return 车机界面集合
     */
    public List<TiVehicleUi> selectTiVehicleUiList(TiVehicleUi TiVehicleUi);

    /**
     * 新增车机界面
     *
     * @param TiVehicleUi 车机界面
     * @return 结果
     */
    public int insertTiVehicleUi(TiVehicleUi TiVehicleUi);

    /**
     * 修改车机界面
     *
     * @param TiVehicleUi 车机界面
     * @return 结果
     */
    public int updateTiVehicleUi(TiVehicleUi TiVehicleUi);

    /**
     * 批量删除车机界面
     *
     * @param ids 需要删除的车机界面主键集合
     * @return 结果
     */
    public int deleteTiVehicleUiByIds(Long[] ids);
}
